com.pixelmed.display

## Class SafeFileChooser.SafeFileChooserThread

- java.lang.Object
- - com.pixelmed.display.SafeFileChooser.SafeFileChooserThread

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    SafeFileChooser

      public static class SafeFileChooser.SafeFileChooserThread
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SafeFileChooserThread()`
    `SafeFileChooserThread(int fileSelectionMode)`
    `SafeFileChooserThread(int fileSelectionMode, java.lang.String initialDirectoryPath)`
    `SafeFileChooserThread(int fileSelectionMode, java.lang.String initialDirectoryPath, java.lang.String dialogTitle)`
    `SafeFileChooserThread(java.lang.String initialDirectoryPath)`
    `SafeFileChooserThread(java.lang.String initialDirectoryPath, java.lang.String dialogTitle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCurrentDirectoryPath()`
    `java.lang.String` | `getSelectedFileName()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SafeFileChooserThread

          public SafeFileChooserThread()

    - #### SafeFileChooserThread

          public SafeFileChooserThread(int fileSelectionMode)

    - #### SafeFileChooserThread

          public SafeFileChooserThread(java.lang.String initialDirectoryPath)

    - #### SafeFileChooserThread

          public SafeFileChooserThread(int fileSelectionMode,
                                       java.lang.String initialDirectoryPath)

    - #### SafeFileChooserThread

          public SafeFileChooserThread(java.lang.String initialDirectoryPath,
                                       java.lang.String dialogTitle)

    - #### SafeFileChooserThread

          public SafeFileChooserThread(int fileSelectionMode,
                                       java.lang.String initialDirectoryPath,
                                       java.lang.String dialogTitle)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### getSelectedFileName

          public java.lang.String getSelectedFileName()

    - #### getCurrentDirectoryPath

          public java.lang.String getCurrentDirectoryPath()